﻿namespace TweetsharpAndAgFx
{
    using TweetSharp;

    /// <summary>
    /// MyTwitterEntity class.
    /// </summary>
    public class MyTwitterEntity : TwitterEntity
    {
        #region Fields
        private int startIndex;
        private int endIndex;
        #endregion

        #region Constructors
        public MyTwitterEntity()
        {
        }

        public MyTwitterEntity(TwitterEntity entity)
        {
            this.MyEndIndex = entity.EndIndex;
            this.EntityType = entity.EntityType;
            this.Indices = entity.Indices;
            this.MyStartIndex = entity.StartIndex;
        }
        #endregion

        #region Properties
        public int MyStartIndex
        {
            get
            {
                return this.startIndex;
            }

            set
            {
                this.startIndex = value;
            }
        }

        public int MyEndIndex
        {
            get
            {
                return this.endIndex;
            }

            set
            {
                this.endIndex = value;
            }
        }
        #endregion
    }
}
