﻿using AgFx;
using Microsoft.Phone.Controls;
using Microsoft.Phone.Shell;

namespace TweetsharpAndAgFx
{
    public partial class MainPage : PhoneApplicationPage
    {
        // Constructor
        public MainPage()
        {
            InitializeComponent();
        }

        protected override void OnNavigatedTo(System.Windows.Navigation.NavigationEventArgs e)
        {
            base.OnNavigatedTo(e);

            SystemTray.ProgressIndicator.IsIndeterminate = true;
            SystemTray.ProgressIndicator.Text = "loading...";

            DataManager.Current.Load<TwitterFeed>(
                new TwitterLoadContext("bjornkuiper"),
                (vm) =>
                {
                    SystemTray.ProgressIndicator.IsIndeterminate = false;
                    SystemTray.ProgressIndicator.IsVisible = false;
                    this.twitterGrid.DataContext = vm;
                },
                (vm) =>
                {
                    SystemTray.ProgressIndicator.IsIndeterminate = false;
                    SystemTray.ProgressIndicator.Text = "Failed to update feed...";
                    var a = "error";
                });
        }
    }
}